<? include('checkcookie.php'); ?>
<h3>Просмотр заданий</h3>
<br>

<?
$res=mysql_query("select price from tb_config where item='taskcomm'");
$res=mysql_fetch_array($res);
$taskcomm=$res["price"];

if($_POST["action"]=="cfg")
{
	$taskcomm=$_POST["tc"];
	mysql_query("update tb_config set price='$taskcomm' where item='taskcomm'");
	echo "<font color=#00cc00><b>Настройки сохранены</b></font>";
}
?>

<form action='' method=post>
<b>Комиссия системы от суммы пополнения баланса задания, %:<b><br>
<input type=text value="<?=$taskcomm?>" size=10 maxlength=5 name="tc"><br><br>
<input type=hidden value="cfg" name="action">
<input type=submit value="Сохранить"><br><br>
</form>

<?
if(!isset($_POST["action"]) or $_POST["action"]=="cfg")
{
$res=mysql_query("select count(*) as kolvo1 from tb_task");
$res=mysql_fetch_array($res);
$alltask=$res["kolvo1"];

if($alltask=='0')
{
	exit();
}

$pages=$alltask/30;
$pages1=floor($pages);

if($pages>$pages1)
{
	$pages=$pages1+1;
}

if($_POST["page"]!="")
{
	$page=$_POST["page"];
}else{
	$page='1';
}

$p1=30*($page-1);
$p2=30*$page-1;

?>
<font color=#ff0000>Задания сортируются по стоимости. Чем выше оплата за выполнение задания, тем выше в списке задание</font><br>
<table width=100% align=center>
<tr>
	<th>№</th>
	<th>Задание</th>
	<th>Оплата</th>
	<th>Осталось</th>
	<th>Подтверждено</th>
	<th>Отклонено</th>
	<th>Ожидают</th>
	<th></th>
</tr>
<?
$res=mysql_query("select * from tb_task order by amount desc limit $p1,$p2");
while($row=mysql_fetch_array($res))
{
	echo "<tr bgcolor=".$row["hltask"]."><td align=center>".$row["id"]."</td><td align=left><b>Название: </b>".$row["title"]."<br>
	<b>Рекламодатель: </b>".$row["author"]."<br><b>Дата добавления: </b>".date("d.m.Y в H:i",$row["data"])."</td><td align=center>".
	$row["amount"]."</td><td align=center>".$row["kolvo"]."</td><td align=center><font color=#00cc00><b>".$row["good"]."</b></font></td>
	<td align=center><font color=#ff0000><b>".$row["bad"]."</b></font></td><td align=center><font color=#666666><b>".$row["wait"]."</b>
	</font></td><td align=center>";

	?>
	<form action="" method="post">
	<input type="hidden" value="<?=$row["id"]?>" name="id">
	<input type="hidden" value="view" name="action">
	<input type="submit" value="Просмотр">
	</form>

	<form action="" method="post">
	<input type="hidden" value="<?=$row["id"]?>" name="id">
	<input type="hidden" value="edit" name="action">
	<input type="submit" value="Редактировать">
	</form>
	<?

	echo "</td></tr>";
}
echo "</table><br>";

echo "<b>Текущая страница $page из $pages</b><br>
	<font action='' method=post>
	<select name='page'>";
for($i=1;$i<=$pages;$i++)
{
	echo "<option value='$i'>$i</option>";
}

echo "</select>
	<input type=submit value='Перейти'></form><br><br>";
}

if($_POST["action"]=="view")
{
	$id=$_POST["id"];

	$res=mysql_query("select * from tb_task where id='$id'");
	$res=mysql_fetch_array($res);

	?>
	<form action='' method=post>
	<b>ID: </b><?=$id?><br>
	<b>Рекламодатель: </b><?=$res["author"]?><br>
	<b>Название: </b><?=$res["title"]?><br>
	<b>Оплата: </b><?=$res["amount"]?><br>
	<b>Описание: </b><?=$res["descr"]?><br><br>
	<b>Ссылка для начала выполнения (скопируйте и вставьте в адресную строку браузера): </b><input type=text value="<?=$res["starturl"]?>" size=50><br><br>
	<b>Для подтверждения укажите: </b><?=$res["verinfo"]?><br><br>
	<b>Информация для подтверждения: </b><br><textarea cols=40 rows=5 name="verinfo"></textarea><br><br>
	<input type=submit value="Подтвердить выполнение">
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="viewok" name="action">
	</form>
	<br><br><br>
	<font color=#00cc00><b>Подтверждено: <?=$res["good"]?></b></font><br>
	<font color=#ff0000><b>Отклонено: <?=$res["bad"]?></b></font><br>
	<font color=#666666><b>Ожидают: <?=$res["wait"]?></b></font>
	<?
}

if($_POST["action"]=="viewok")
{
	$idtask=$_POST["id"];
	$verinfo=$_POST["verinfo"];

	$res=mysql_query("select count(*) as kolvo from tb_taskstats where user='$user' and idtask='$idtask'");
	$res=mysql_fetch_array($res);
	if($res["kolvo"]>0)
	{
		echo "<font color=#ff0000><b>Вы уже выполняли это задание. Повторное выполнение невозможно</b></font>";
	}else{
		$res=mysql_query("select * from tb_task where id='$idtask'");
		$res=mysql_fetch_array($res);
		
		$amount=$res["amount"];
		$t=time();
		$wait=$res["wait"]+1;
		$kolvo=$res["kolvo"]-1;
		if($kolvo<0)
		{
			echo "<font color=#ff0000><b>Ошибка! Баланс задания пуст</b></font>";
		}else{
			mysql_query("insert into tb_taskstats (idtask,verinfo,amount,user,data) values ('$idtask','$verinfo','$amount','$user','$t')");
			mysql_query("update tb_task set wait='$wait' where id='$idtask'");

			echo "<font color=#00cc00><b>Задание отправлено на проверку</b></font>";
		}
	}
}

if($_POST["action"]=="edit")
{
	$id=$_POST["id"];
	
	$res=mysql_query("select * from tb_task where id='$id'");
	$res=mysql_fetch_array($res);

	?>
	<form action='' method=post>
	<b>ID: </b><?=$id?><br>
	<b>Рекламодатель: </b><?=$res["author"]?><br>
	<b>Название: </b><input type=text value="<?=$res["title"]?>" name="title" size=30 maxlength=50><br>
	<b>Оплата: </b><input type=text value="<?=$res["amount"]?>" name="amount" size=30 maxlength=10><br>
	<b>Описание: </b><br><textarea cols=40 rows=5 name="descr"><?=$res["descr"]?></textarea><br><br>
	<b>Ссылка для начала выполнения: </b><input type=text value="<?=$res["starturl"]?>" name="starturl" size=50 maxlength=150><br>
	<b>Информация для подтверждения: </b><input type=text value="<?=$res["verinfo"]?>" name="verinfo" size=30 maxlength=1000><br>
	<b>Осталось выполнений: </b><?=$res["kolvo"]?><br>
	<b>Баланс задания: </b><?=$res["balance"]?><br>
	<b>Пополнить баланс задания на сумму: </b><input type=text value="0" name="balplus" size=30 maxlength=10><br><br>
	<input type=submit value="Сохранить">
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="editok" name="action">
	<input type=hidden value="<?=$res["balance"]?>" name="balance">
	</form>
	<form action='' method=post>
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="deletetask" name="action">
	<input type=submit value="Удалить">
	</form>
	<br><br><br>
	<font color=#00cc00><b>Подтверждено: <?=$res["good"]?></b></font><br>
	<font color=#ff0000><b>Отклонено: <?=$res["bad"]?></b></font><br>
	<font color=#666666><b>Ожидают: <?=$res["wait"]?></b></font>
	<?
}

if($_POST["action"]=="editok")
{
	$id=$_POST["id"];
	$title=strip_tags($_POST["title"]);
	$amount=strip_tags($_POST["amount"]);
	$descr=strip_tags($_POST["descr"]);
	$starturl=strip_tags($_POST["starturl"]);
	$verinfo=strip_tags($_POST["verinfo"]);
	$balance=strip_tags($_POST["balance"]);
	$balplus=strip_tags($_POST["balplus"]);

	$res=mysql_query("select money from tb_users where username='$user'");
	$res=mysql_fetch_array($res);
	$money=$res["money"];

	$balance=$balance+$balplus;
	
	$kolvo=floor($balance/$amount);
	if($kolvo<1)
	{
		echo "<font color=#ff0000><b>Ошибка! На балансе задания недостаточно средств</b></font>";
	}else{
		mysql_query("update tb_task set title='$title',amount='$amount',descr='$descr',starturl='$starturl',verinfo='$verinfo',balance='$balance',kolvo='$kolvo' where id='$id'");

		echo "<font color=#00cc00><b>Изменения сохранены</b></font>";
	}
}

if($_POST["action"]=="deletetask")
{
	$id=$_POST["id"];
	$res=mysql_query("select kolvo from tb_task where id='$id'");
	$res=mysql_fetch_array($res);

	mysql_query("delete from tb_task where id='$id'");
	echo "<font color=#00cc00><b>Задание удалено</b></font>";
}